org.optaplanner.core.config.localsearch.decider.forager

## Enum LocalSearchPickEarlyType

- java.lang.Object
- - java.lang.Enum<LocalSearchPickEarlyType>
  - - org.optaplanner.core.config.localsearch.decider.forager.LocalSearchPickEarlyType

- All Implemented Interfaces:
    Serializable, Comparable<LocalSearchPickEarlyType>

      public enum LocalSearchPickEarlyType
      extends Enum<LocalSearchPickEarlyType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIRST_BEST_SCORE_IMPROVING`
    `FIRST_LAST_STEP_SCORE_IMPROVING`
    `NEVER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LocalSearchPickEarlyType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LocalSearchPickEarlyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEVER

          public static final LocalSearchPickEarlyType NEVER

    - #### FIRST_BEST_SCORE_IMPROVING

          public static final LocalSearchPickEarlyType FIRST_BEST_SCORE_IMPROVING

    - #### FIRST_LAST_STEP_SCORE_IMPROVING

          public static final LocalSearchPickEarlyType FIRST_LAST_STEP_SCORE_IMPROVING

  - ### Method Detail

    - #### values

          public static LocalSearchPickEarlyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LocalSearchPickEarlyType c : LocalSearchPickEarlyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LocalSearchPickEarlyType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.